Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 656340 - app-backup/amanda-3.5.1-r1 : ndmos_glib.h:51:2: error: #error rpc/rpc.h is required to compile ndmp-src
Summary: app-backup/amanda-3.5.1-r1 : ndmos_glib.h:51:2: error: #error rpc/rpc.h is re...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-rpc
  Show dependency tree
 
Reported: 2018-05-23 16:28 UTC by Toralf Förster
Modified: 2019-03-31 11:36 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.61 KB, text/plain)
2018-05-23 16:28 UTC, Toralf Förster
Details
app-backup:amanda-3.5.1-r1:20180523-015311.log (app-backup:amanda-3.5.1-r1:20180523-015311.log,320.05 KB, text/plain)
2018-05-23 16:28 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,417.06 KB, text/plain)
2018-05-23 16:28 UTC, Toralf Förster
Details
environment (environment,109.24 KB, text/plain)
2018-05-23 16:28 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.24 KB, application/x-bzip)
2018-05-23 16:28 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,68.44 KB, application/x-bzip)
2018-05-23 16:28 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,53.02 KB, application/x-bzip)
2018-05-23 16:28 UTC, Toralf Förster
Details
Add tirpc explicitly (use-tirpc.patch,1.23 KB, patch)
2018-06-13 12:29 UTC, Erik Mackdanz
Details | Diff
Configure to use tirpc (tirpc-config.patch,416 bytes, patch)
2018-06-14 04:04 UTC, Erik Mackdanz
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-05-23 16:28:29 UTC
                 from ndmjob.h:38,
                 from amndmjob_main.c:39:
ndmos_glib.h:51:2: error: #error rpc/rpc.h is required to compile ndmp-src
 #error rpc/rpc.h is required to compile ndmp-src
  ^~~~~
In file included from ndmprotocol.h:102:0,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-plasma-systemd_20180508-183531

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.5
  [2]   python2.7 (fallback)
  [3]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.7.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv app-backup/amanda
[ebuild  N    ] app-backup/amanda-3.5.1-r1  USE="ipv6 ndmp nls readline systemd -curl -gnuplot -kerberos -minimal -s3 -samba -xfs"
Comment 1 Toralf Förster gentoo-dev 2018-05-23 16:28:32 UTC
Created attachment 532670 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-05-23 16:28:35 UTC
Created attachment 532672 [details]
app-backup:amanda-3.5.1-r1:20180523-015311.log
Comment 3 Toralf Förster gentoo-dev 2018-05-23 16:28:38 UTC
Created attachment 532674 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2018-05-23 16:28:42 UTC
Created attachment 532676 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2018-05-23 16:28:45 UTC
Created attachment 532678 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-05-23 16:28:48 UTC
Created attachment 532680 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2018-05-23 16:28:51 UTC
Created attachment 532682 [details]
temp.tbz2
Comment 8 Erik Mackdanz gentoo-dev 2018-06-13 12:25:52 UTC
I've just encountered this issue in the stable tree with amanda 3.3.9 and libtirpc 1.0.2-r1

The attached use-tirpc.patch seems to work for me but I'm not at all sure it's the correct way to solve the issue.
Comment 9 Erik Mackdanz gentoo-dev 2018-06-13 12:29:59 UTC
Created attachment 535782 [details, diff]
Add tirpc explicitly
Comment 10 Erik Mackdanz gentoo-dev 2018-06-14 04:04:45 UTC
Created attachment 535846 [details, diff]
Configure to use tirpc

Here's a more appropriate patch.  It must be applied before eautoreconf in src_prepare.
Comment 11 Stefan G. Weichinger 2018-12-23 09:04:54 UTC
(In reply to Erik Mackdanz from comment #10)
> Created attachment 535846 [details, diff] [details, diff]
> Configure to use tirpc
> 
> Here's a more appropriate patch.  It must be applied before eautoreconf in
> src_prepare.

Too bad noone has filed a PR for this and merged it.
I hit this issue when I try to build 3.4.5 right now, I want to cross-check if that version has the same problem as 3.5.1 ... will try to come up with a PR for this.
Comment 12 Stefan G. Weichinger 2018-12-23 09:29:10 UTC
(In reply to Erik Mackdanz from comment #10)
> Created attachment 535846 [details, diff] [details, diff]
> Configure to use tirpc
> 
> Here's a more appropriate patch.  It must be applied before eautoreconf in
> src_prepare.


Trying to write a fitting ebuild but failing to apply your patch: no configure.in existing at that time in the process?
Comment 13 Stefan G. Weichinger 2018-12-24 14:44:21 UTC
(In reply to Erik Mackdanz from comment #9)
> Created attachment 535782 [details, diff] [details, diff]
> Add tirpc explicitly

Wrote an ebuild applying "amanda-3.5.1-535782.patch" successfully, ebuild merges correctly.

Unfortunately I face another issue with amcheck-device that doesn't seem related, might become a new bug.
Comment 14 Stefan G. Weichinger 2019-01-08 09:22:45 UTC
*bump*

could someone please help out here?
I have a server needing a downgrade to pinpoint a bug and I can't even build an older amanda to cross-check ;-)

looking forward to some help here, thanks
Comment 15 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-03-31 11:36:16 UTC
(In reply to Stefan G. Weichinger from comment #12)
> (In reply to Erik Mackdanz from comment #10)
> > Created attachment 535846 [details, diff] [details, diff] [details, diff]
> > Configure to use tirpc
> > 
> > Here's a more appropriate patch.  It must be applied before eautoreconf in
> > src_prepare.
> 
> 
> Trying to write a fitting ebuild but failing to apply your patch: no
> configure.in existing at that time in the process?

It's configure.ac in newer versions.  You should rename it to configure.ac in older versions.